//RRClientApp.h
#ifndef RRCLIENT_APP_H
#define RRCLIENT_APP_H

extern const char* APP_SIGNATURE
	= "application/x-vnd.SerphWare.RRClient";
	
#include <Application.h>
#include <Deskbar.h>
#include <Alert.h>
#include "RRClientOptionsWindow.h"
#include "RRClientDeskbarView.h"
#include "constants.h"
#include "errors.h"
#include "rrlms.h"

class RRClientApp : public BApplication
{
public:
	RRClientApp();
	void 	AboutRequested(void);
	bool	QuitRequested();
	virtual void MessageReceived(BMessage* message);
	
private:
	void Login();
	void Logoff();
	const char* GetResultMsg(int result);
	int32 db_id;
	BDeskbar deskbar;
	RRClientOptionsWindow* options;
};

#endif //RRCLIENT_APP_H
