//RRClientDeskbarView.h
#ifndef RRCLIENT_DESKBAR_VIEW
#define RRCLIENT_DESKBAR_VIEW


#include <View.h>
#include <Alert.h>
#include <stdio.h>
#include <Window.h>
#include <Application.h>
#include <PopUpMenu.h>
#include <AppFileInfo.h>
#include <Messenger.h>
#include <Bitmap.h>
#include <MenuItem.h>
#include "constants.h"


class _EXPORT RRClientDeskbarView : public BView
{
public:
    RRClientDeskbarView();
    RRClientDeskbarView(BMessage *msg);
    ~RRClientDeskbarView();
    status_t Archive(BMessage *data, bool deep) const;
    static BArchivable *Instantiate(BMessage *data);
    void Draw(BRect updateRect);
    void MouseDown(BPoint where);
    void AttachedToWindow();
    void DetachedFromWindow();
    void Init(void);

private:
    BBitmap *bitmap;
    entry_ref app_ref;
    BPopUpMenu *menu;
    void BuildMenu(void);
};

#endif //RRCLIENT_DESKBAR_VIEW
