//RRClientOptionsView.h
#ifndef RRCLIENT_OPTIONS_VIEW_H 
#define RRCLIENT_OPTIONS_VIEW_H

#include <stdio.h>
#include <View.h>
#include <Button.h>
#include <Alert.h>
#include <TextControl.h>
#include <MenuField.h>
#include <MenuItem.h>
#include <Menu.h>
#include "constants.h"
#include "servers.h"
#include "PassControl.h"


class RRClientOptionsView: public BView
{
	public:
		RRClientOptionsView(BRect frame);
		void Save();
		BTextControl		*serveraddress;
		
	private:

		char User[65], Pass[65], Server[65];
		void SetOptions(bool success);
		bool LoadSettings();
		void BuildServerMenu();
		BMenu			*servermenu;
		BMenuField		*serverlocation;
		BTextControl		*username;
		PassControl		*password;
		BButton 		*saveButton;
		BButton 		*cancelButton;
};

#endif //RRCLIENT_OPTIONS_VIEW_H
