//RRClientOptionsWindow.cpp

#include "RRClientOptionsWindow.h"

RRClientOptionsWindow::RRClientOptionsWindow(char *title, BRect frame):BWindow(frame, title, B_TITLED_WINDOW, B_NOT_RESIZABLE | B_NOT_ZOOMABLE )
{
	options_view = new RRClientOptionsView(Bounds());
	AddChild(options_view);
}

void
RRClientOptionsWindow::MessageReceived(BMessage *msg)
{
	switch(msg->what)
	{
		case RR_ROCHESTER_MSG:
				options_view->serveraddress->SetEnabled(false);
				options_view->serveraddress->SetText(RR_ROCHESTER_SERVER);
			break;
		case RR_SYRACUSE_MSG:
				options_view->serveraddress->SetEnabled(false);
				options_view->serveraddress->SetText(RR_SYRACUSE_SERVER);
			break;
		case RR_HAWAII_MSG:
				options_view->serveraddress->SetEnabled(false);
				options_view->serveraddress->SetText(RR_HAWAII_SERVER);
			break;
		case RR_OTHER_MSG:
				options_view->serveraddress->SetEnabled(true);
				options_view->serveraddress->SetText("");
			break;
		case RRCLIENT_CANCEL_OPTIONS:
				Quit();
			break;
		case RRCLIENT_SAVE_OPTIONS:
				options_view->Save();
				Quit();
			break;
		default:
			BWindow::MessageReceived(msg);
	}
}
