#ifndef ERRORS_H
#define ERRORS_H


#define SOCKET_ERROR				-1
#define SOCKET_ERROR_MSG			"Failed to allocate socket"

#define SERVER_CONNECT_ERROR		-2
#define SERVER_CONNECT_ERROR_MSG	"Unable to connect to auth server"

#define SERVER_RECIEVE_ERROR		-3
#define SERVER_RECIEVE_ERROR_MSG	"Error receiving from auth server"

#define UNEXPECTED_PACKET_ERROR		-4
#define UNEXPECTED_PACKET_ERROR_MSG	"Packet type not expected"

#define SUCCESSFUL_LOGOUT			1
#define SUCCESSFUL_LOGOUT_MSG		"You are logged out!"

#define UNSUCCESSFUL_LOGOUT			-5
#define UNSUCCESSFUL_LOGOUT_MSG		"Logout failed! :("

#define SETTINGS_FILE_ERROR			-6
#define SETTINGS_FILE_ERROR_MSG		"Couldn't open configuration file: %s"

#define UNEXPECTED_RESPONSE			-7
#define UNEXPECTED_RESPONSE_MSG		"Unexpected response"

#define UNSUCCESSFUL_LOGIN			-8
#define UNSUCCESSFUL_LOGIN_MSG		"\tLogin failed!\nCheck your password in the Options window."

#define SUCCESSFUL_LOGIN			2
#define SUCCESSFUL_LOGIN_MSG		"You are logged in!"


#endif // ERRORS_H
